Loading...
Searching...
No Matches
BALL::VIEW::ComboBoxDelegate Class Reference

`#include <BALL/VIEW/WIDGETS/hotkeyTable.h>`

Inheritance diagram for BALL::VIEW::ComboBoxDelegate:

## Public Member Functions

| ComboBoxDelegate (QObject *parent=0)
QWidget * | createEditor (QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const
void | setEditorData (QWidget *editor, const QModelIndex &index) const
void | setModelData (QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const
void | updateEditorGeometry (QWidget *editor, const QStyleOptionViewItem &option, const QModelIndex &index) const

## Detailed Description

Definition at line 23 of file hotkeyTable.h.

## Constructor & Destructor Documentation

## ComboBoxDelegate()

BALL::VIEW::ComboBoxDelegate::ComboBoxDelegate | ( | QObject * | parent = 0 | ) |

## Member Function Documentation

## createEditor()

QWidget * BALL::VIEW::ComboBoxDelegate::createEditor | ( | QWidget * | parent,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index ) const

## setEditorData()

void BALL::VIEW::ComboBoxDelegate::setEditorData | ( | QWidget * | editor,
|  | const QModelIndex & | index ) const

## setModelData()

void BALL::VIEW::ComboBoxDelegate::setModelData | ( | QWidget * | editor,
|  | QAbstractItemModel * | model,
|  | const QModelIndex & | index ) const

## updateEditorGeometry()

void BALL::VIEW::ComboBoxDelegate::updateEditorGeometry | ( | QWidget * | editor,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index ) const